/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_sqrt.c                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vbudnik <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/11/19 05:19:43 by vbudnik           #+#    #+#             */
/*   Updated: 2017/11/21 20:29:46 by vbudnik          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int		ft_sqrt(int nb)
{
	int		r;
	int		sqr;

	r = 1;
	sqr = 0;
	while (r <= nb / 2)
	{
		sqr = r * r;
		if (sqr == nb)
			return (r);
		r++;
	}
	return (0);
}
